# Uses of Interface
net.sf.statcvs.output.WebRepositoryIntegration

Packages that use WebRepositoryIntegration
Package
Description
net.sf.statcvs.output
net.sf.statcvs.renderer
net.sf.statcvs.reportmodel

## Uses of WebRepositoryIntegration in net.sf.statcvs.output

Classes in net.sf.statcvs.output that implement WebRepositoryIntegration
Modifier and Type
Class
Description
`class`
`ChoraIntegration`
Integration of the Chora CVS Viewer
`class`
`CvswebIntegration`
Integration of cvsweb
`class`
`JCVSWebIntegration`
Creates links to a JCVSWeb repository browser.
`class`
`TracIntegration`
`class`
`ViewCvsIntegration`
Integration of ViewCVS
`class`
`ViewVcIntegration`
Integration of ViewVC
Methods in net.sf.statcvs.output that return WebRepositoryIntegration
Modifier and Type
Method
Description
`static WebRepositoryIntegration`
ConfigurationOptions.`getWebRepository()`
Returns a `WebRepositoryIntegration` object if the user has specified a URL to one.
`WebRepositoryIntegration`
ReportConfig.`getWebRepository()`
Methods in net.sf.statcvs.output with parameters of type WebRepositoryIntegration
Modifier and Type
Method
Description
`void`
ReportConfig.`setWebRepository(WebRepositoryIntegration webRepository)`
`static void`
ConfigurationOptions.`setWebRepositoryIntegration(WebRepositoryIntegration webRepo)`

## Uses of WebRepositoryIntegration in net.sf.statcvs.renderer

Methods in net.sf.statcvs.renderer with parameters of type WebRepositoryIntegration
Modifier and Type
Method
Description
`void`
HTMLTableCellRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file to HTML
`void`
TableCellRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file
`void`
XMLRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file to XML

## Uses of WebRepositoryIntegration in net.sf.statcvs.reportmodel

Methods in net.sf.statcvs.reportmodel with parameters of type WebRepositoryIntegration
Modifier and Type
Method
Description
`void`
FileColumn.`setWebRepository(WebRepositoryIntegration webRepository)`
Setting a WebRepository turns filenames into links to that file.